com.verisign.epp.util

## Class EPPStrictContactParser

- java.lang.Object
- - javax.xml.parsers.DocumentBuilder
  - - com.verisign.epp.util.EPPSchemaCachingParser
    - - com.verisign.epp.util.EPPStrictContactParser

- All Implemented Interfaces:
    EPPSchemaCacher

      public class EPPStrictContactParser
      extends EPPSchemaCachingParser

  XML parser that pre-caches the XML schemas registered in the `EPPFactory`, but overriding the contact XML schema to use the strict EPP Contact RFC 5733 XML schema "contact-1.0.xsd".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `POOL` Name of the EPP XML Parser Pool managed by `GenericPoolManager`

    - ### Fields inherited from class com.verisign.epp.util.EPPSchemaCachingParser

      `BIG_PRIME, CREATE_ENTITY_REF_NODES, DEFER_NODE_EXPANSION, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, INCLUDE_IGNORABLE_WHITE_SPACE, LOAD_DTD_GRAMMAR, LOAD_EXTERNAL_DTD, NAMESPACES_FEATURE_ID, NORMALIZE_DATA, SCHEMA_FULL_CHECKING_FEATURE_ID, SCHEMA_VALIDATION_FEATURE_ID, SYMBOL_TABLE, VALIDATION_FEATURE_ID, XMLGRAMMAR_POOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPStrictContactParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Set<java.lang.String>` | `getXmlSchemas()` Gets the XML schemas to load into the XML parser by loading the XML schemas from the `EPPFactory` and overriding the contact XML schema to use the strict EPP Contact RFC 5733 XML schema "contact-1.0.xsd".

    - ### Methods inherited from class com.verisign.epp.util.EPPSchemaCachingParser

      `addSchemaToCache, getDOMImplementation, getFeature, getProperty, getSymbolTableSize, init, isNamespaceAware, isValidating, newDocument, parse, parse, parse, parse, parse, preloadSchemas, setEntityResolver, setErrorHandler, setFeature, setLockSchemaCache, setProperty, setSymbolTableSize`

    - ### Methods inherited from class javax.xml.parsers.DocumentBuilder

      `getSchema, isXIncludeAware, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POOL

          public static final java.lang.String POOL

      Name of the EPP XML Parser Pool managed by `GenericPoolManager`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPStrictContactParser

          public EPPStrictContactParser()

  - ### Method Detail

    - #### getXmlSchemas

          protected java.util.Set<java.lang.String> getXmlSchemas()

      Gets the XML schemas to load into the XML parser by loading the XML schemas from the `EPPFactory` and overriding the contact XML schema to use the strict EPP Contact RFC 5733 XML schema "contact-1.0.xsd".
      Overrides:
        `getXmlSchemas` in class `EPPSchemaCachingParser`
      Returns:
        `Set` of XML names to pre-load.

Copyright © VeriSign Inc. All Rights Reserved.